⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/stats

Get instance-wide metrics and statistics for Zipline over a given date range or for all time.

GET/api/stats

Query Parameters

from?string
to?string
all?string
Value in"true" | "false"

Response Body

application/json

application/json

[
  {
    "id": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "data": {
      "users": 0,
      "files": 0,
      "fileViews": 0,
      "urls": 0,
      "urlViews": 0,
      "storage": 0,
      "filesUsers": [
        {
          "username": "string",
          "sum": 0,
          "storage": 0,
          "views": 0
        }
      ],
      "urlsUsers": [
        {
          "username": "string",
          "sum": 0,
          "views": 0
        }
      ],
      "types": [
        {
          "type": "string",
          "sum": 0
        }
      ]
    }
  }
]

{
  "error": "E1000: Invalid request schema",
  "code": 1000,
  "statusCode": 400
}